# Generated from redis_safe_queue-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redis_safe_queue

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: transactional queue for redis (at least once semantics)
License: MIT
URL: http://github.com/paulasmuth/redis_safe_queue
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
RedisSafeQueue is a transactional queue for ruby/redis. It guarantees at least
once semantics. The queue may be used with multiple producers and consumers,
each job is removed in a open/commit transaction; even if a worker dies while
processing a job, it is automatically requeued.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/example.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/redis_safe_queue.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
